- entityDefinitions:
  - IDI_Task_CircuitBreakerGroup_View:    '{37843511-7e27-42a4-9d36-fcec47b71a7f}'
  - IDI_Task_CircuitBreakerGroup_Edit:    '{cd856cd3-4405-45c5-b383-fd9e010cfa8c}'
  - IDE_CircuitBreakerGroup_View:        '{9dbfd17b-6eb7-4866-921c-fb97e451dfbd}'
  - IDE_CircuitBreakerGroup_Edit:        '{c7cc585b-2d30-4d11-9268-d89da0e5b350}'
  - IDE_CircuitBreakerGroup_Definition:  '{13f5de19-1f01-4404-92b4-2cbbb4a09090}'
  - IDI_TaskCategory_CircuitBreakerGroup: '{723f3e33-9b78-432f-996b-680ee92ddd44}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - taskCategory: '&IDI_TaskCategory_CircuitBreakerGroup;'
    name: 'Circuit Breaker Group'

  - sequenceTask: '&IDI_Task_CircuitBreakerGroup_View;'
    name: 'View Circuit Breaker Group'
    initiatingElement: '&IDE_CircuitBreakerGroup_View;'
    taskCategory: '&IDI_TaskCategory_CircuitBreakerGroup;'

  - sequenceTask: '&IDI_Task_CircuitBreakerGroup_Edit;'
    name: 'Edit Circuit Breaker Group'
    initiatingElement: '&IDE_CircuitBreakerGroup_Edit;'
    taskCategory: '&IDI_TaskCategory_CircuitBreakerGroup;'

  - element: '&IDE_CircuitBreakerGroup_View;'
    name: 'View Circuit Breaker Group'
    elementContents:
    - globalIdentifier: '{18a309a7-f87f-4604-b8c5-260ee5b7345f}'
      defaultDataType: '&IDC_CircuitBreakerGroup;'
      label: 'Circuit Breaker Group'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{e8918122-9779-4583-b481-a2115fa8ddeb}'
      defaultDataType: '&IDE_CircuitBreakerGroup_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_CircuitBreakerGroup_Edit;'
    name: 'Edit Circuit Breaker Group'
    elementContents:
    - globalIdentifier: '{650c6705-0498-45a3-973c-90bfa8023f10}'
      defaultDataType: '&IDC_CircuitBreakerGroup;'
      label: 'Circuit Breaker Group'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{4d571672-322b-443f-8dd1-438b2db451f3}'
      defaultDataType: '&IDE_CircuitBreakerGroup_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_CircuitBreakerGroup_Definition;'
    name: 'circuit breaker group subedits'
    elementContents:
    - globalIdentifier: '{ff17070e-9bfd-47bf-be32-ef4429a2cd94}'
      defaultDataType: '&IDA_Name;'
      
    - globalIdentifier: '{595ce1c4-01e6-4775-a1cd-740777e3879a}'
      defaultDataType: '&IDR_Circuit_Breaker_Group__for__Circuit_Breaker;'
      label: 'Circuit Breakers Assigned to this Group'